Loading...
Searching...
No Matches
exif.hpp File Reference

Encoding and decoding of Exif data. More...

`#include "exiv2lib_export.h"`
`#include "metadatum.hpp"`
`#include "tags.hpp"`
`#include <list>`

Go to the source code of this file.

## Classes

class | Exiv2::Exifdatum
| An Exif metadatum, consisting of an ExifKey and a Value and methods to manipulate these. More...
class | Exiv2::ExifThumbC
| Access to a Exif thumbnail image. This class provides higher level accessors to the thumbnail image that is optionally embedded in IFD1 of the Exif data. These methods do not write to the Exif metadata. Manipulators are provided in subclass ExifThumb. More...
class | Exiv2::ExifThumb
| Access and modify an Exif thumbnail image. This class implements manipulators to set and erase the thumbnail image that is optionally embedded in IFD1 of the Exif data. Accessors are provided by the base class, ExifThumbC. More...
class | Exiv2::ExifData
| A container for Exif data. This is a top-level class of the Exiv2 library. The container holds Exifdatum objects. More...
class | Exiv2::ExifParser
| Stateless parser class for Exif data. Images use this class to decode and encode binary Exif data. More...

## Namespaces

namespace | Exiv2
| Class CrwImage to access Canon CRW images. References: The Canon RAW (CRW) File Format by Phil Harvey.

## Typedefs

using | Exiv2::ExifMetadata = std::list< Exifdatum >
| Container type to hold all metadata.

## Detailed Description

Encoding and decoding of Exif data.

Author
  Andreas Huggel (ahu) ahuggel@gmx.net

Date
  09-Jan-04, ahu: created